#include <SoftwareSerial.h>
#include <TinyWireM.h> // I2C Master lib for ATTinys which use USI

#define I2C_SLAVE_ADDR  0x26

SoftwareSerial mySerial (3,4);

void setup(){
  mySerial.begin(9600);
  TinyWireM.begin();
}

void loop(){
  if(mySerial.available() > 0){
    char com = mySerial.read();
    if (com == 'T'){
      TinyWireM.beginTransmission(I2C_SLAVE_ADDR);
      TinyWireM.send(0x01);
      TinyWireM.endTransmission();
    }
  }
}


