// I²C master receiving and sending
//#include <SoftwareSerial.h>
//SoftwareSerial mySerial (3, 4);
#include <TinyWireM.h>
#define slaveAddress  0x26  // slave address
uint8_t redLED = 4;
uint8_t greenLED = 1;
uint8_t blueLED = 3;
uint8_t noLED = 255;

void setup() {
  OSCCAL= 0x99;  // set clock
  //  pinMode(3, INPUT);     
  //  pinMode(4, OUTPUT);  
  //  mySerial.begin(9600);
  TinyWireM.begin();
}

void loop() {
  redOn();
  allOff();
  greenOn();
  allOff();
  blueOn();
  allOff();
}

void redOn() {  
  TinyWireM.beginTransmission(slaveAddress);
  TinyWireM.send(redLED);
  TinyWireM.endTransmission();
}
void greenOn() {  
  TinyWireM.beginTransmission(slaveAddress);
  TinyWireM.send(greenLED);
  TinyWireM.endTransmission();
}
void blueOn() {  
  TinyWireM.beginTransmission(slaveAddress);
  TinyWireM.send(blueLED);
  TinyWireM.endTransmission();
}
void allOff() {  
  TinyWireM.beginTransmission(slaveAddress);
  TinyWireM.send(noLED);
  TinyWireM.endTransmission();
}
