//  I²C
//  ATtiny45 bridge with FTDI
//  referring to network slaveRGB 150511

#include <SoftwareSerial.h>  // include software serial library
SoftwareSerial mySerial(3, 4);  // set RX, TX

#include <TinyWireM.h>  // include TinyWireM library
#define slaveRGB 0x26  // set address of slave with RGB LED

uint8_t masterOut = 255;  // byte send
byte slaveIn = 0;  // byte to receive

void setup() {  
  OSCCAL= 0x99;  // adjust clock
  TinyWireM.begin();  // start I²C
  mySerial.begin(9600);  // start serial communication
}

void loop() {  
  /*TinyWireM.beginTransmission(slave);
  out = 4;
  TinyWireM.send(out);            
  TinyWireM.endTransmission();*/
  
 if(TinyWireM.requestFrom(slave, 1) > 0) {
  data =  TinyWireM.receive();
  mySerial.println(data);
 }
}
