/* 
  ATtiny45 
  Network communication
  TinyWire slave sender
*/

#include <TinyWireS.h>
#define slaveRGB  0x64

void setup() {   
  TinyWireS.begin(slaveRGB);
}

void loop(){
  byte byteRcvd = 0;
  if (TinyWireS.available()){           // got I2C input!
    byteRcvd = TinyWireS.receive();     // get the byte from master
    byteRcvd += 3;                     // add 3 to what's received
    TinyWireS.send(byteRcvd);           // send it back to master
  }
}
