// master sending and receiving data
// serial communication
#include <SoftwareSerial.h>
SoftwareSerial mySerial(3, 4);
// I2C
#include <TinyWireM.h>
#define slave 0x26
uint8_t out = 255;  
byte in = 0;
void setup() {  
  OSCCAL= 0x99;             // adjust clock
  pinMode(3, INPUT);     
  pinMode(4, OUTPUT);  
  TinyWireM.begin();
  mySerial.begin(9600);
}
void loop() {  
  TinyWireM.beginTransmission(slave);
  out = 4;
  TinyWireM.send(out);            
  TinyWireM.endTransmission();
  if(TinyWireM.requestFrom(0x26, 1) > 0){
    in =  TinyWireM.receive();
    mySerial.println(in);
    delay(1000);
  }  
  TinyWireM.beginTransmission(slave);
  out = 1;
  TinyWireM.send(out);            
  TinyWireM.endTransmission();
  if(TinyWireM.requestFrom(0x26, 1) > 0){
    in =  TinyWireM.receive();
    mySerial.println(in);  
    delay(1000);
  }    
  TinyWireM.beginTransmission(slave);
  out = 3;
  TinyWireM.send(out);            
  TinyWireM.endTransmission();
  if(TinyWireM.requestFrom(0x26, 1) > 0){
    in =  TinyWireM.receive();
    mySerial.println(in);  
    delay(1000);
  }    
}

